%global modulename normalize-package-data

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-normalize-package-data
Version:        2.4.0
Release:        1%{?dist}
Summary:        Normalizes data that can be found in package.json files.

License:        BSD
URL:            https://github.com/npm/normalize-package-data#readme
Source0:        https://registry.npmjs.org/normalize-package-data/-/normalize-package-data-2.4.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(hosted-git-info) >= 2.1.4 with npmlib(hosted-git-info) < 3.0.0))
BuildRequires:  ((npmlib(is-builtin-module) >= 1.0.0 with npmlib(is-builtin-module) < 2.0.0))
BuildRequires:  ((npmlib(semver) >= 2.0.0 with npmlib(semver) < 3.0.0) or (npmlib(semver) >= 3.0.0 with npmlib(semver) < 4.0.0) or (npmlib(semver) >= 4.0.0 with npmlib(semver) < 5.0.0) or (npmlib(semver) >= 5.0.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(validate-npm-package-license) >= 3.0.1 with npmlib(validate-npm-package-license) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Normalizes data that can be found in package.json files.

%package 2.4.0
Summary:        Normalizes data that can be found in package.json files.


%description 2.4.0
Normalizes data that can be found in package.json files.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc AUTHORS
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.4.0
%doc AUTHORS
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.4.0-1
- Package automatically generated by npm2srpm
